!**********************************************************************
!* An HPF parser test program                                         *
!* Name: directive_12.f90                                             *
!* Author: Giriraj Vengurlekar                                        *
!* Date: Nov. 25, 1995                                                *
!* Main testing points: directive origin/DYNAMIC/REALIGN              *
!* REDISTRIBUTE                                                       *
!* Rules/Options touched:                                             *
!*                                                                    *
!*   RULE#            DESCRIPTION                                     *
!*                                                                    *
!* H329/1     dynamic-directive is DYNAMIC alignee-distributee list   *
!* H330/1     is alignee                                              *
!* H330/2     is distributee                                          *
!* H313/1     REALIGN alignee align-directive-stuff                   *
!* H304/1     REDISTRIBUTE distributee dist-dir-stuff                 *
!*********************************************************************



      PROGRAM directive_12
!***************************************************************************
! This program checks for REDISTRIBUTE/DYNAMIC/REALIGN directives
! it also checks the directive ORIGIN
!***************************************************************************
      
      REAL, DIMENSION(100,100)  ::  A, B 
!HPF$ DYNAMIC                   :: A, B


! Some code goes here

!HPF$ REDISTRIBUTE A(CYCLIC, BLOCK)

!HPF$ REALIGN B(:,:) WITH A(1::100, 1::100)


      end

